pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: GPL 2009 (20090519)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_mast_analysis" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure Break_Start;
   pragma Import (C, Break_Start, "__gnat_break_start");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#f8e9d379#;
   u00002 : constant Version_32 := 16#6385d640#;
   u00003 : constant Version_32 := 16#4ea93bb8#;
   u00004 : constant Version_32 := 16#9c7dd3ea#;
   u00005 : constant Version_32 := 16#cc1134cf#;
   u00006 : constant Version_32 := 16#b061ea80#;
   u00007 : constant Version_32 := 16#8cddb9b3#;
   u00008 : constant Version_32 := 16#b9828a2f#;
   u00009 : constant Version_32 := 16#1bc9f0e1#;
   u00010 : constant Version_32 := 16#83f59500#;
   u00011 : constant Version_32 := 16#2f60aa04#;
   u00012 : constant Version_32 := 16#54367357#;
   u00013 : constant Version_32 := 16#e43c4f3d#;
   u00014 : constant Version_32 := 16#db404f38#;
   u00015 : constant Version_32 := 16#ebfc0b85#;
   u00016 : constant Version_32 := 16#eb103816#;
   u00017 : constant Version_32 := 16#63a35e59#;
   u00018 : constant Version_32 := 16#1f4497ab#;
   u00019 : constant Version_32 := 16#2ea84b20#;
   u00020 : constant Version_32 := 16#70dbc3e9#;
   u00021 : constant Version_32 := 16#18c4823a#;
   u00022 : constant Version_32 := 16#f5e3bedd#;
   u00023 : constant Version_32 := 16#bcda8803#;
   u00024 : constant Version_32 := 16#2720e926#;
   u00025 : constant Version_32 := 16#de4c8cc2#;
   u00026 : constant Version_32 := 16#633f84f7#;
   u00027 : constant Version_32 := 16#ba011fb9#;
   u00028 : constant Version_32 := 16#e3d85f73#;
   u00029 : constant Version_32 := 16#88c8686c#;
   u00030 : constant Version_32 := 16#c7aadac4#;
   u00031 : constant Version_32 := 16#6997f8be#;
   u00032 : constant Version_32 := 16#00b27d4a#;
   u00033 : constant Version_32 := 16#430c6fe5#;
   u00034 : constant Version_32 := 16#08a5f9f2#;
   u00035 : constant Version_32 := 16#b33118c1#;
   u00036 : constant Version_32 := 16#776b72d1#;
   u00037 : constant Version_32 := 16#37465730#;
   u00038 : constant Version_32 := 16#906233be#;
   u00039 : constant Version_32 := 16#18d15f2a#;
   u00040 : constant Version_32 := 16#a69cad5c#;
   u00041 : constant Version_32 := 16#093802d2#;
   u00042 : constant Version_32 := 16#90421990#;
   u00043 : constant Version_32 := 16#fe5e1c6e#;
   u00044 : constant Version_32 := 16#259b6760#;
   u00045 : constant Version_32 := 16#892f4d5b#;
   u00046 : constant Version_32 := 16#6f3f77bb#;
   u00047 : constant Version_32 := 16#eccbd1ca#;
   u00048 : constant Version_32 := 16#3c09e836#;
   u00049 : constant Version_32 := 16#0bae7056#;
   u00050 : constant Version_32 := 16#668486d6#;
   u00051 : constant Version_32 := 16#ec7a3063#;
   u00052 : constant Version_32 := 16#9eb1f784#;
   u00053 : constant Version_32 := 16#a70c0a76#;
   u00054 : constant Version_32 := 16#0a7e05c0#;
   u00055 : constant Version_32 := 16#04fd4e8a#;
   u00056 : constant Version_32 := 16#647de85b#;
   u00057 : constant Version_32 := 16#a23322db#;
   u00058 : constant Version_32 := 16#0d0a8d0c#;
   u00059 : constant Version_32 := 16#d9dbe86c#;
   u00060 : constant Version_32 := 16#895f8c1e#;
   u00061 : constant Version_32 := 16#9d76bf9a#;
   u00062 : constant Version_32 := 16#4e66f673#;
   u00063 : constant Version_32 := 16#d0d51bbe#;
   u00064 : constant Version_32 := 16#a8d17654#;
   u00065 : constant Version_32 := 16#62e56d2b#;
   u00066 : constant Version_32 := 16#ced5a363#;
   u00067 : constant Version_32 := 16#f972a97f#;
   u00068 : constant Version_32 := 16#f1de4b60#;
   u00069 : constant Version_32 := 16#ab1aeb7b#;
   u00070 : constant Version_32 := 16#1a3a7ed3#;
   u00071 : constant Version_32 := 16#37a7e042#;
   u00072 : constant Version_32 := 16#6d0998e1#;
   u00073 : constant Version_32 := 16#f2b1549d#;
   u00074 : constant Version_32 := 16#a0a00019#;
   u00075 : constant Version_32 := 16#f2351593#;
   u00076 : constant Version_32 := 16#293ff6f7#;
   u00077 : constant Version_32 := 16#8d087e6b#;
   u00078 : constant Version_32 := 16#2461b049#;
   u00079 : constant Version_32 := 16#0aa29e81#;
   u00080 : constant Version_32 := 16#2274d34a#;
   u00081 : constant Version_32 := 16#59507545#;
   u00082 : constant Version_32 := 16#e98c0dd7#;
   u00083 : constant Version_32 := 16#347f6220#;
   u00084 : constant Version_32 := 16#a0aa86d6#;
   u00085 : constant Version_32 := 16#cc47afb0#;
   u00086 : constant Version_32 := 16#4b4a95e1#;
   u00087 : constant Version_32 := 16#54a6bf64#;
   u00088 : constant Version_32 := 16#4be846ff#;
   u00089 : constant Version_32 := 16#e42a19e8#;
   u00090 : constant Version_32 := 16#96410e68#;
   u00091 : constant Version_32 := 16#e227ff7f#;
   u00092 : constant Version_32 := 16#e2557a70#;
   u00093 : constant Version_32 := 16#53a1a17a#;
   u00094 : constant Version_32 := 16#d12d909d#;
   u00095 : constant Version_32 := 16#e74032b2#;
   u00096 : constant Version_32 := 16#03341198#;
   u00097 : constant Version_32 := 16#208afe59#;
   u00098 : constant Version_32 := 16#cc1b1855#;
   u00099 : constant Version_32 := 16#e86844d5#;
   u00100 : constant Version_32 := 16#a7af1709#;
   u00101 : constant Version_32 := 16#b5b04024#;
   u00102 : constant Version_32 := 16#80e564ae#;
   u00103 : constant Version_32 := 16#bedd66da#;
   u00104 : constant Version_32 := 16#c405eca8#;
   u00105 : constant Version_32 := 16#9c673ff8#;
   u00106 : constant Version_32 := 16#dc80ce83#;
   u00107 : constant Version_32 := 16#9a61d341#;
   u00108 : constant Version_32 := 16#70f768a2#;
   u00109 : constant Version_32 := 16#f0ddc3f6#;
   u00110 : constant Version_32 := 16#4e6c3190#;
   u00111 : constant Version_32 := 16#54ed61ee#;
   u00112 : constant Version_32 := 16#b2568b96#;
   u00113 : constant Version_32 := 16#adfb7c9e#;
   u00114 : constant Version_32 := 16#7903ab8c#;
   u00115 : constant Version_32 := 16#21fd2bc3#;
   u00116 : constant Version_32 := 16#0255db5c#;
   u00117 : constant Version_32 := 16#7488863c#;
   u00118 : constant Version_32 := 16#8d02aab0#;
   u00119 : constant Version_32 := 16#597d27ff#;
   u00120 : constant Version_32 := 16#6328cde3#;
   u00121 : constant Version_32 := 16#3e7d115b#;
   u00122 : constant Version_32 := 16#8ea69b38#;
   u00123 : constant Version_32 := 16#9b936ce6#;
   u00124 : constant Version_32 := 16#b71924cc#;
   u00125 : constant Version_32 := 16#a32a7c04#;
   u00126 : constant Version_32 := 16#3131a464#;
   u00127 : constant Version_32 := 16#c83e57c3#;
   u00128 : constant Version_32 := 16#5056e8dd#;
   u00129 : constant Version_32 := 16#bf577de2#;
   u00130 : constant Version_32 := 16#193c09ed#;
   u00131 : constant Version_32 := 16#6733af53#;
   u00132 : constant Version_32 := 16#e0683b80#;
   u00133 : constant Version_32 := 16#c427120b#;
   u00134 : constant Version_32 := 16#056a46bc#;
   u00135 : constant Version_32 := 16#047ef5a7#;
   u00136 : constant Version_32 := 16#d3274b84#;
   u00137 : constant Version_32 := 16#d36c0795#;
   u00138 : constant Version_32 := 16#56f32777#;
   u00139 : constant Version_32 := 16#87763883#;
   u00140 : constant Version_32 := 16#e5e412cb#;
   u00141 : constant Version_32 := 16#a7f875e6#;
   u00142 : constant Version_32 := 16#eff31f01#;
   u00143 : constant Version_32 := 16#8535bfda#;
   u00144 : constant Version_32 := 16#44ed77f3#;
   u00145 : constant Version_32 := 16#cb2faecd#;
   u00146 : constant Version_32 := 16#3407344a#;
   u00147 : constant Version_32 := 16#56f013ce#;
   u00148 : constant Version_32 := 16#3a4fe8af#;
   u00149 : constant Version_32 := 16#30a049ba#;
   u00150 : constant Version_32 := 16#b8ac4cbc#;
   u00151 : constant Version_32 := 16#2f3f02be#;
   u00152 : constant Version_32 := 16#f69145f6#;
   u00153 : constant Version_32 := 16#28e6e53e#;
   u00154 : constant Version_32 := 16#09994ec9#;
   u00155 : constant Version_32 := 16#bfc8af92#;
   u00156 : constant Version_32 := 16#c108749f#;
   u00157 : constant Version_32 := 16#86a2b7a2#;
   u00158 : constant Version_32 := 16#7de76a78#;
   u00159 : constant Version_32 := 16#5434ff70#;
   u00160 : constant Version_32 := 16#dd19c62c#;
   u00161 : constant Version_32 := 16#6ccb35ac#;
   u00162 : constant Version_32 := 16#294c3b74#;
   u00163 : constant Version_32 := 16#51c79cd2#;
   u00164 : constant Version_32 := 16#cd97344a#;
   u00165 : constant Version_32 := 16#b8b3dabd#;
   u00166 : constant Version_32 := 16#a4badb7e#;
   u00167 : constant Version_32 := 16#fa8631cb#;
   u00168 : constant Version_32 := 16#cee5f48f#;
   u00169 : constant Version_32 := 16#e6bedf82#;
   u00170 : constant Version_32 := 16#67c04acb#;
   u00171 : constant Version_32 := 16#b7cb9d58#;
   u00172 : constant Version_32 := 16#7b3aa22a#;
   u00173 : constant Version_32 := 16#54d2b04c#;
   u00174 : constant Version_32 := 16#3487a6c2#;
   u00175 : constant Version_32 := 16#513f871f#;
   u00176 : constant Version_32 := 16#e18439c6#;
   u00177 : constant Version_32 := 16#3f823fa7#;
   u00178 : constant Version_32 := 16#45778d9a#;
   u00179 : constant Version_32 := 16#dc280e99#;
   u00180 : constant Version_32 := 16#f88b41f4#;
   u00181 : constant Version_32 := 16#aec1acd7#;
   u00182 : constant Version_32 := 16#949cc1b5#;
   u00183 : constant Version_32 := 16#a90a12b0#;
   u00184 : constant Version_32 := 16#1c384a3b#;
   u00185 : constant Version_32 := 16#e94c8be6#;
   u00186 : constant Version_32 := 16#58ddfaeb#;
   u00187 : constant Version_32 := 16#fd04e10c#;
   u00188 : constant Version_32 := 16#234291c4#;
   u00189 : constant Version_32 := 16#c2480f99#;
   u00190 : constant Version_32 := 16#af61bf04#;
   u00191 : constant Version_32 := 16#b4090306#;
   u00192 : constant Version_32 := 16#978ee820#;
   u00193 : constant Version_32 := 16#631c394c#;
   u00194 : constant Version_32 := 16#9d963984#;
   u00195 : constant Version_32 := 16#2b6bce66#;
   u00196 : constant Version_32 := 16#6527c018#;
   u00197 : constant Version_32 := 16#e9ea32ea#;
   u00198 : constant Version_32 := 16#6a6404bf#;
   u00199 : constant Version_32 := 16#e0f8ecf6#;
   u00200 : constant Version_32 := 16#e12ad5ac#;
   u00201 : constant Version_32 := 16#1dc9628f#;
   u00202 : constant Version_32 := 16#bf9ad98a#;
   u00203 : constant Version_32 := 16#e7bd2fd0#;
   u00204 : constant Version_32 := 16#9b932485#;
   u00205 : constant Version_32 := 16#1943edd0#;
   u00206 : constant Version_32 := 16#ce457e04#;
   u00207 : constant Version_32 := 16#c017af94#;
   u00208 : constant Version_32 := 16#edf7636b#;
   u00209 : constant Version_32 := 16#bd936d3a#;
   u00210 : constant Version_32 := 16#014e4b85#;
   u00211 : constant Version_32 := 16#47ac261d#;
   u00212 : constant Version_32 := 16#f36e1b7b#;
   u00213 : constant Version_32 := 16#1de8e3df#;
   u00214 : constant Version_32 := 16#e13ed7c0#;
   u00215 : constant Version_32 := 16#ec6bafd7#;
   u00216 : constant Version_32 := 16#69a10d20#;
   u00217 : constant Version_32 := 16#d4c66e62#;
   u00218 : constant Version_32 := 16#8eaa94c2#;
   u00219 : constant Version_32 := 16#2e049fe9#;
   u00220 : constant Version_32 := 16#2c129e5d#;
   u00221 : constant Version_32 := 16#d298b95e#;
   u00222 : constant Version_32 := 16#a2dae789#;
   u00223 : constant Version_32 := 16#d0a0425d#;
   u00224 : constant Version_32 := 16#a982feac#;
   u00225 : constant Version_32 := 16#f8c02d6e#;
   u00226 : constant Version_32 := 16#81f7bc2e#;
   u00227 : constant Version_32 := 16#7ced83a3#;
   u00228 : constant Version_32 := 16#cd5d603d#;
   u00229 : constant Version_32 := 16#36f3af40#;
   u00230 : constant Version_32 := 16#b3b7276c#;
   u00231 : constant Version_32 := 16#0cc3f4e0#;
   u00232 : constant Version_32 := 16#c1f15a9d#;
   u00233 : constant Version_32 := 16#567320b1#;
   u00234 : constant Version_32 := 16#e91dc840#;
   u00235 : constant Version_32 := 16#662c05cc#;
   u00236 : constant Version_32 := 16#18237f47#;
   u00237 : constant Version_32 := 16#ac281eba#;
   u00238 : constant Version_32 := 16#49d2a95b#;
   u00239 : constant Version_32 := 16#03bc737c#;
   u00240 : constant Version_32 := 16#614b54f8#;
   u00241 : constant Version_32 := 16#6ffd7991#;
   u00242 : constant Version_32 := 16#d8af02ef#;
   u00243 : constant Version_32 := 16#d9f6bc78#;
   u00244 : constant Version_32 := 16#9750ab6b#;
   u00245 : constant Version_32 := 16#8ab10de5#;
   u00246 : constant Version_32 := 16#714d87e0#;
   u00247 : constant Version_32 := 16#17c88cd6#;
   u00248 : constant Version_32 := 16#63ad3998#;
   u00249 : constant Version_32 := 16#76b10c12#;
   u00250 : constant Version_32 := 16#8b7ddc95#;
   u00251 : constant Version_32 := 16#91b7530a#;
   u00252 : constant Version_32 := 16#c1815cd0#;
   u00253 : constant Version_32 := 16#808e35e2#;
   u00254 : constant Version_32 := 16#ec713313#;
   u00255 : constant Version_32 := 16#85b99f0a#;
   u00256 : constant Version_32 := 16#9e7c905a#;
   u00257 : constant Version_32 := 16#fbbccc7e#;
   u00258 : constant Version_32 := 16#2b117737#;
   u00259 : constant Version_32 := 16#a77b6f65#;
   u00260 : constant Version_32 := 16#edcc8860#;
   u00261 : constant Version_32 := 16#d6f3295a#;
   u00262 : constant Version_32 := 16#8ff8697f#;
   u00263 : constant Version_32 := 16#88203f19#;
   u00264 : constant Version_32 := 16#8b257f3b#;
   u00265 : constant Version_32 := 16#eb1d0769#;
   u00266 : constant Version_32 := 16#4ed199cf#;
   u00267 : constant Version_32 := 16#142dcdac#;
   u00268 : constant Version_32 := 16#9ab468d6#;
   u00269 : constant Version_32 := 16#ae4091a8#;
   u00270 : constant Version_32 := 16#433495b0#;
   u00271 : constant Version_32 := 16#902c8c9b#;
   u00272 : constant Version_32 := 16#0556d5d9#;
   u00273 : constant Version_32 := 16#2be48fea#;
   u00274 : constant Version_32 := 16#75fb0f0d#;
   u00275 : constant Version_32 := 16#71437141#;
   u00276 : constant Version_32 := 16#5bf264e0#;
   u00277 : constant Version_32 := 16#fd04daf2#;
   u00278 : constant Version_32 := 16#45aed95a#;
   u00279 : constant Version_32 := 16#3cdf3a90#;
   u00280 : constant Version_32 := 16#e663a074#;
   u00281 : constant Version_32 := 16#825ff041#;
   u00282 : constant Version_32 := 16#7c259fd3#;
   u00283 : constant Version_32 := 16#eb5db991#;
   u00284 : constant Version_32 := 16#cffef429#;
   u00285 : constant Version_32 := 16#41588896#;
   u00286 : constant Version_32 := 16#d3170c07#;
   u00287 : constant Version_32 := 16#5a6d7de6#;
   u00288 : constant Version_32 := 16#0b21cba1#;
   u00289 : constant Version_32 := 16#408ff843#;
   u00290 : constant Version_32 := 16#10cbaf8e#;
   u00291 : constant Version_32 := 16#ef4f1b4e#;
   u00292 : constant Version_32 := 16#3b387f22#;
   u00293 : constant Version_32 := 16#82bd3c91#;
   u00294 : constant Version_32 := 16#01f219a3#;
   u00295 : constant Version_32 := 16#e8b23d46#;
   u00296 : constant Version_32 := 16#06f155c4#;
   u00297 : constant Version_32 := 16#6fb1a820#;
   u00298 : constant Version_32 := 16#7e93ed41#;
   u00299 : constant Version_32 := 16#457693b3#;

   pragma Export (C, u00001, "mast_analysisB");
   pragma Export (C, u00002, "system__standard_libraryB");
   pragma Export (C, u00003, "system__standard_libraryS");
   pragma Export (C, u00004, "adaS");
   pragma Export (C, u00005, "ada__charactersS");
   pragma Export (C, u00006, "ada__characters__handlingB");
   pragma Export (C, u00007, "ada__characters__handlingS");
   pragma Export (C, u00008, "ada__characters__latin_1S");
   pragma Export (C, u00009, "ada__stringsS");
   pragma Export (C, u00010, "systemS");
   pragma Export (C, u00011, "system__exception_tableB");
   pragma Export (C, u00012, "system__exception_tableS");
   pragma Export (C, u00013, "system__htableB");
   pragma Export (C, u00014, "system__htableS");
   pragma Export (C, u00015, "system__string_hashB");
   pragma Export (C, u00016, "system__string_hashS");
   pragma Export (C, u00017, "system__soft_linksB");
   pragma Export (C, u00018, "system__soft_linksS");
   pragma Export (C, u00019, "system__parametersB");
   pragma Export (C, u00020, "system__parametersS");
   pragma Export (C, u00021, "system__secondary_stackB");
   pragma Export (C, u00022, "system__secondary_stackS");
   pragma Export (C, u00023, "system__storage_elementsB");
   pragma Export (C, u00024, "system__storage_elementsS");
   pragma Export (C, u00025, "ada__exceptionsB");
   pragma Export (C, u00026, "ada__exceptionsS");
   pragma Export (C, u00027, "ada__exceptions__last_chance_handlerB");
   pragma Export (C, u00028, "ada__exceptions__last_chance_handlerS");
   pragma Export (C, u00029, "system__exceptionsB");
   pragma Export (C, u00030, "system__exceptionsS");
   pragma Export (C, u00031, "system__tracebackB");
   pragma Export (C, u00032, "system__tracebackS");
   pragma Export (C, u00033, "system__unsigned_typesS");
   pragma Export (C, u00034, "system__wch_conB");
   pragma Export (C, u00035, "system__wch_conS");
   pragma Export (C, u00036, "system__wch_stwB");
   pragma Export (C, u00037, "system__wch_stwS");
   pragma Export (C, u00038, "system__wch_cnvB");
   pragma Export (C, u00039, "system__wch_cnvS");
   pragma Export (C, u00040, "interfacesS");
   pragma Export (C, u00041, "system__wch_jisB");
   pragma Export (C, u00042, "system__wch_jisS");
   pragma Export (C, u00043, "system__traceback_entriesB");
   pragma Export (C, u00044, "system__traceback_entriesS");
   pragma Export (C, u00045, "system__stack_checkingB");
   pragma Export (C, u00046, "system__stack_checkingS");
   pragma Export (C, u00047, "ada__strings__mapsB");
   pragma Export (C, u00048, "ada__strings__mapsS");
   pragma Export (C, u00049, "system__bit_opsB");
   pragma Export (C, u00050, "system__bit_opsS");
   pragma Export (C, u00051, "ada__strings__maps__constantsS");
   pragma Export (C, u00052, "ada__command_lineB");
   pragma Export (C, u00053, "ada__command_lineS");
   pragma Export (C, u00054, "ada__tagsB");
   pragma Export (C, u00055, "ada__tagsS");
   pragma Export (C, u00056, "system__val_unsB");
   pragma Export (C, u00057, "system__val_unsS");
   pragma Export (C, u00058, "system__val_utilB");
   pragma Export (C, u00059, "system__val_utilS");
   pragma Export (C, u00060, "system__case_utilB");
   pragma Export (C, u00061, "system__case_utilS");
   pragma Export (C, u00062, "ada__text_ioB");
   pragma Export (C, u00063, "ada__text_ioS");
   pragma Export (C, u00064, "ada__streamsS");
   pragma Export (C, u00065, "interfaces__c_streamsB");
   pragma Export (C, u00066, "interfaces__c_streamsS");
   pragma Export (C, u00067, "system__crtlS");
   pragma Export (C, u00068, "system__file_ioB");
   pragma Export (C, u00069, "system__file_ioS");
   pragma Export (C, u00070, "ada__finalizationB");
   pragma Export (C, u00071, "ada__finalizationS");
   pragma Export (C, u00072, "system__finalization_rootB");
   pragma Export (C, u00073, "system__finalization_rootS");
   pragma Export (C, u00074, "system__finalization_implementationB");
   pragma Export (C, u00075, "system__finalization_implementationS");
   pragma Export (C, u00076, "system__restrictionsB");
   pragma Export (C, u00077, "system__restrictionsS");
   pragma Export (C, u00078, "system__stream_attributesB");
   pragma Export (C, u00079, "system__stream_attributesS");
   pragma Export (C, u00080, "ada__io_exceptionsS");
   pragma Export (C, u00081, "interfaces__cB");
   pragma Export (C, u00082, "interfaces__cS");
   pragma Export (C, u00083, "system__os_libB");
   pragma Export (C, u00084, "system__os_libS");
   pragma Export (C, u00085, "system__stringsB");
   pragma Export (C, u00086, "system__stringsS");
   pragma Export (C, u00087, "system__file_control_blockS");
   pragma Export (C, u00088, "ada__finalization__list_controllerB");
   pragma Export (C, u00089, "ada__finalization__list_controllerS");
   pragma Export (C, u00090, "gnatS");
   pragma Export (C, u00091, "gnat__os_libS");
   pragma Export (C, u00092, "list_exceptionsS");
   pragma Export (C, u00093, "mastB");
   pragma Export (C, u00094, "mastS");
   pragma Export (C, u00095, "system__fat_lfltS");
   pragma Export (C, u00096, "var_stringsB");
   pragma Export (C, u00097, "var_stringsS");
   pragma Export (C, u00098, "system__compare_array_unsigned_8B");
   pragma Export (C, u00099, "system__compare_array_unsigned_8S");
   pragma Export (C, u00100, "system__address_operationsB");
   pragma Export (C, u00101, "system__address_operationsS");
   pragma Export (C, u00102, "system__concat_2B");
   pragma Export (C, u00103, "system__concat_2S");
   pragma Export (C, u00104, "mast__annealing_parametersB");
   pragma Export (C, u00105, "mast__annealing_parametersS");
   pragma Export (C, u00106, "ada__strings__unboundedB");
   pragma Export (C, u00107, "ada__strings__unboundedS");
   pragma Export (C, u00108, "ada__strings__fixedB");
   pragma Export (C, u00109, "ada__strings__fixedS");
   pragma Export (C, u00110, "ada__strings__searchB");
   pragma Export (C, u00111, "ada__strings__searchS");
   pragma Export (C, u00112, "mast__tool_exceptionsB");
   pragma Export (C, u00113, "mast__tool_exceptionsS");
   pragma Export (C, u00114, "system__concat_3B");
   pragma Export (C, u00115, "system__concat_3S");
   pragma Export (C, u00116, "system__img_intB");
   pragma Export (C, u00117, "system__img_intS");
   pragma Export (C, u00118, "system__img_realB");
   pragma Export (C, u00119, "system__img_realS");
   pragma Export (C, u00120, "system__fat_llfS");
   pragma Export (C, u00121, "system__img_lluB");
   pragma Export (C, u00122, "system__img_lluS");
   pragma Export (C, u00123, "system__img_unsB");
   pragma Export (C, u00124, "system__img_unsS");
   pragma Export (C, u00125, "system__powten_tableS");
   pragma Export (C, u00126, "system__val_lliB");
   pragma Export (C, u00127, "system__val_lliS");
   pragma Export (C, u00128, "system__val_lluB");
   pragma Export (C, u00129, "system__val_lluS");
   pragma Export (C, u00130, "system__val_realB");
   pragma Export (C, u00131, "system__val_realS");
   pragma Export (C, u00132, "system__exn_llfB");
   pragma Export (C, u00133, "system__exn_llfS");
   pragma Export (C, u00134, "mast__consistency_checksB");
   pragma Export (C, u00135, "mast__consistency_checksS");
   pragma Export (C, u00136, "doubly_linked_listsB");
   pragma Export (C, u00137, "doubly_linked_listsS");
   pragma Export (C, u00138, "mast__driversB");
   pragma Export (C, u00139, "mast__driversS");
   pragma Export (C, u00140, "mast__ioB");
   pragma Export (C, u00141, "mast__ioS");
   pragma Export (C, u00142, "ada__calendarB");
   pragma Export (C, u00143, "ada__calendarS");
   pragma Export (C, u00144, "system__os_primitivesB");
   pragma Export (C, u00145, "system__os_primitivesS");
   pragma Export (C, u00146, "ada__float_text_ioB");
   pragma Export (C, u00147, "ada__float_text_ioS");
   pragma Export (C, u00148, "ada__text_io__float_auxB");
   pragma Export (C, u00149, "ada__text_io__float_auxS");
   pragma Export (C, u00150, "ada__text_io__generic_auxB");
   pragma Export (C, u00151, "ada__text_io__generic_auxS");
   pragma Export (C, u00152, "system__fat_fltS");
   pragma Export (C, u00153, "binary_treesB");
   pragma Export (C, u00154, "binary_treesS");
   pragma Export (C, u00155, "mast_parser_tokensS");
   pragma Export (C, u00156, "symbol_tableB");
   pragma Export (C, u00157, "symbol_tableS");
   pragma Export (C, u00158, "named_listsB");
   pragma Export (C, u00159, "named_listsS");
   pragma Export (C, u00160, "system__img_enum_newB");
   pragma Export (C, u00161, "system__img_enum_newS");
   pragma Export (C, u00162, "system__val_intB");
   pragma Export (C, u00163, "system__val_intS");
   pragma Export (C, u00164, "system__fat_sfltS");
   pragma Export (C, u00165, "mast__operationsB");
   pragma Export (C, u00166, "mast__operationsS");
   pragma Export (C, u00167, "system__concat_4B");
   pragma Export (C, u00168, "system__concat_4S");
   pragma Export (C, u00169, "system__concat_5B");
   pragma Export (C, u00170, "system__concat_5S");
   pragma Export (C, u00171, "indexed_listsB");
   pragma Export (C, u00172, "indexed_listsS");
   pragma Export (C, u00173, "mast__resultsB");
   pragma Export (C, u00174, "mast__resultsS");
   pragma Export (C, u00175, "mast__graphsB");
   pragma Export (C, u00176, "mast__graphsS");
   pragma Export (C, u00177, "mast__eventsB");
   pragma Export (C, u00178, "mast__eventsS");
   pragma Export (C, u00179, "system__strings__stream_opsB");
   pragma Export (C, u00180, "system__strings__stream_opsS");
   pragma Export (C, u00181, "ada__streams__stream_ioB");
   pragma Export (C, u00182, "ada__streams__stream_ioS");
   pragma Export (C, u00183, "mast__graphs__linksB");
   pragma Export (C, u00184, "mast__graphs__linksS");
   pragma Export (C, u00185, "mast__timing_requirementsB");
   pragma Export (C, u00186, "mast__timing_requirementsS");
   pragma Export (C, u00187, "hash_listsB");
   pragma Export (C, u00188, "hash_listsS");
   pragma Export (C, u00189, "mast__scheduling_parametersB");
   pragma Export (C, u00190, "mast__scheduling_parametersS");
   pragma Export (C, u00191, "mast__synchronization_parametersB");
   pragma Export (C, u00192, "mast__synchronization_parametersS");
   pragma Export (C, u00193, "mast__shared_resourcesB");
   pragma Export (C, u00194, "mast__shared_resourcesS");
   pragma Export (C, u00195, "mast__scheduling_serversB");
   pragma Export (C, u00196, "mast__scheduling_serversS");
   pragma Export (C, u00197, "mast__schedulersB");
   pragma Export (C, u00198, "mast__schedulersS");
   pragma Export (C, u00199, "mast__processing_resourcesB");
   pragma Export (C, u00200, "mast__processing_resourcesS");
   pragma Export (C, u00201, "mast__scheduling_policiesB");
   pragma Export (C, u00202, "mast__scheduling_policiesS");
   pragma Export (C, u00203, "mast__schedulers__primaryB");
   pragma Export (C, u00204, "mast__schedulers__primaryS");
   pragma Export (C, u00205, "mast__schedulers__secondaryB");
   pragma Export (C, u00206, "mast__schedulers__secondaryS");
   pragma Export (C, u00207, "mast__graphs__event_handlersB");
   pragma Export (C, u00208, "mast__graphs__event_handlersS");
   pragma Export (C, u00209, "mast__processing_resources__networkB");
   pragma Export (C, u00210, "mast__processing_resources__networkS");
   pragma Export (C, u00211, "mast__processing_resources__processorB");
   pragma Export (C, u00212, "mast__processing_resources__processorS");
   pragma Export (C, u00213, "mast__timersB");
   pragma Export (C, u00214, "mast__timersS");
   pragma Export (C, u00215, "mast__transaction_operationsB");
   pragma Export (C, u00216, "mast__transaction_operationsS");
   pragma Export (C, u00217, "mast__transactionsB");
   pragma Export (C, u00218, "mast__transactionsS");
   pragma Export (C, u00219, "mast__systemsB");
   pragma Export (C, u00220, "mast__systemsS");
   pragma Export (C, u00221, "mast__schedulers__adjustmentB");
   pragma Export (C, u00222, "mast__schedulers__adjustmentS");
   pragma Export (C, u00223, "mast__hospa_parametersB");
   pragma Export (C, u00224, "mast__hospa_parametersS");
   pragma Export (C, u00225, "dynamic_listsB");
   pragma Export (C, u00226, "dynamic_listsS");
   pragma Export (C, u00227, "mast__miscelaneous_toolsB");
   pragma Export (C, u00228, "mast__miscelaneous_toolsS");
   pragma Export (C, u00229, "associationsB");
   pragma Export (C, u00230, "associationsS");
   pragma Export (C, u00231, "mast__linear_analysis_toolsB");
   pragma Export (C, u00232, "mast__linear_analysis_toolsS");
   pragma Export (C, u00233, "mast__linear_translationB");
   pragma Export (C, u00234, "mast__linear_translationS");
   pragma Export (C, u00235, "mast__toolsB");
   pragma Export (C, u00236, "mast__toolsS");
   pragma Export (C, u00237, "mast__linear_deadline_assignment_toolsB");
   pragma Export (C, u00238, "mast__linear_deadline_assignment_toolsS");
   pragma Export (C, u00239, "ada__integer_text_ioB");
   pragma Export (C, u00240, "ada__integer_text_ioS");
   pragma Export (C, u00241, "ada__text_io__integer_auxB");
   pragma Export (C, u00242, "ada__text_io__integer_auxS");
   pragma Export (C, u00243, "system__img_biuB");
   pragma Export (C, u00244, "system__img_biuS");
   pragma Export (C, u00245, "system__img_llbB");
   pragma Export (C, u00246, "system__img_llbS");
   pragma Export (C, u00247, "system__img_lliB");
   pragma Export (C, u00248, "system__img_lliS");
   pragma Export (C, u00249, "system__img_llwB");
   pragma Export (C, u00250, "system__img_llwS");
   pragma Export (C, u00251, "system__img_wiuB");
   pragma Export (C, u00252, "system__img_wiuS");
   pragma Export (C, u00253, "ada__numericsS");
   pragma Export (C, u00254, "ada__numerics__float_randomB");
   pragma Export (C, u00255, "ada__numerics__float_randomS");
   pragma Export (C, u00256, "system__arith_64B");
   pragma Export (C, u00257, "system__arith_64S");
   pragma Export (C, u00258, "mast__linear_global_deadline_assignment_toolsB");
   pragma Export (C, u00259, "mast__linear_global_deadline_assignment_toolsS");
   pragma Export (C, u00260, "mast__max_numbersB");
   pragma Export (C, u00261, "mast__max_numbersS");
   pragma Export (C, u00262, "mast__tools__schedulability_indexB");
   pragma Export (C, u00263, "mast__tools__schedulability_indexS");
   pragma Export (C, u00264, "priority_queuesB");
   pragma Export (C, u00265, "priority_queuesS");
   pragma Export (C, u00266, "system__concat_8B");
   pragma Export (C, u00267, "system__concat_8S");
   pragma Export (C, u00268, "system__concat_7B");
   pragma Export (C, u00269, "system__concat_7S");
   pragma Export (C, u00270, "system__concat_6B");
   pragma Export (C, u00271, "system__concat_6S");
   pragma Export (C, u00272, "system__img_boolB");
   pragma Export (C, u00273, "system__img_boolS");
   pragma Export (C, u00274, "mast__linear_local_deadline_assignment_toolsB");
   pragma Export (C, u00275, "mast__linear_local_deadline_assignment_toolsS");
   pragma Export (C, u00276, "mast__linear_priority_assignment_toolsB");
   pragma Export (C, u00277, "mast__linear_priority_assignment_toolsS");
   pragma Export (C, u00278, "ada__numerics__auxB");
   pragma Export (C, u00279, "ada__numerics__auxS");
   pragma Export (C, u00280, "system__machine_codeS");
   pragma Export (C, u00281, "mast__monoprocessor_toolsB");
   pragma Export (C, u00282, "mast__monoprocessor_toolsS");
   pragma Export (C, u00283, "mast__restrictionsB");
   pragma Export (C, u00284, "mast__restrictionsS");
   pragma Export (C, u00285, "mast_analysis_helpB");
   pragma Export (C, u00286, "mast_parserB");
   pragma Export (C, u00287, "mast_lexB");
   pragma Export (C, u00288, "mast_lexS");
   pragma Export (C, u00289, "mast_lex_dfaB");
   pragma Export (C, u00290, "mast_lex_dfaS");
   pragma Export (C, u00291, "mast_lex_ioB");
   pragma Export (C, u00292, "mast_lex_ioS");
   pragma Export (C, u00293, "text_ioS");
   pragma Export (C, u00294, "mast_parser_error_reportB");
   pragma Export (C, u00295, "mast_parser_error_reportS");
   pragma Export (C, u00296, "mast_parser_gotoS");
   pragma Export (C, u00297, "mast_parser_shift_reduceS");
   pragma Export (C, u00298, "system__memoryB");
   pragma Export (C, u00299, "system__memoryS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.handling%s
   --  ada.characters.latin_1%s
   --  ada.command_line%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.arith_64%s
   --  system.bit_ops%s
   --  system.case_util%s
   --  system.case_util%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.concat_4%s
   --  system.concat_4%b
   --  system.concat_5%s
   --  system.concat_5%b
   --  system.concat_6%s
   --  system.concat_6%b
   --  system.concat_7%s
   --  system.concat_7%b
   --  system.concat_8%s
   --  system.concat_8%b
   --  system.exn_llf%s
   --  system.exn_llf%b
   --  system.htable%s
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.img_lli%s
   --  system.img_lli%b
   --  system.img_real%s
   --  system.machine_code%s
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.powten_table%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.standard_library%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.secondary_stack%s
   --  ada.command_line%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.arith_64%b
   --  ada.exceptions.last_chance_handler%s
   --  system.soft_links%s
   --  system.soft_links%b
   --  ada.exceptions.last_chance_handler%b
   --  system.secondary_stack%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.io_exceptions%s
   --  ada.numerics%s
   --  ada.numerics.aux%s
   --  ada.numerics.float_random%s
   --  ada.strings%s
   --  ada.tags%s
   --  ada.streams%s
   --  interfaces.c%s
   --  interfaces.c%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  gnat.os_lib%s
   --  system.strings.stream_ops%s
   --  system.unsigned_types%s
   --  system.bit_ops%b
   --  ada.strings.maps%s
   --  ada.strings.maps%b
   --  ada.strings.fixed%s
   --  ada.strings.maps.constants%s
   --  ada.characters.handling%b
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.strings.fixed%b
   --  system.fat_flt%s
   --  system.fat_lflt%s
   --  system.fat_llf%s
   --  ada.numerics.aux%b
   --  system.fat_sflt%s
   --  system.img_biu%s
   --  system.img_biu%b
   --  system.img_llb%s
   --  system.img_llb%b
   --  system.img_llu%s
   --  system.img_llu%b
   --  system.img_llw%s
   --  system.img_llw%b
   --  system.img_uns%s
   --  system.img_uns%b
   --  system.img_real%b
   --  system.img_wiu%s
   --  system.img_wiu%b
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  system.finalization_implementation%s
   --  system.finalization_implementation%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  ada.finalization.list_controller%s
   --  ada.finalization.list_controller%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  system.file_control_block%s
   --  ada.streams.stream_io%s
   --  system.strings.stream_ops%b
   --  system.file_io%s
   --  system.file_io%b
   --  ada.streams.stream_io%b
   --  system.val_int%s
   --  ada.numerics.float_random%b
   --  system.val_lli%s
   --  system.val_llu%s
   --  system.val_real%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_real%b
   --  system.val_llu%b
   --  system.val_lli%b
   --  system.val_int%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.tags%b
   --  ada.exceptions%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  ada.text_io.float_aux%s
   --  ada.float_text_io%s
   --  ada.float_text_io%b
   --  ada.text_io.generic_aux%s
   --  ada.text_io.generic_aux%b
   --  ada.text_io.float_aux%b
   --  ada.text_io.integer_aux%s
   --  ada.text_io.integer_aux%b
   --  ada.integer_text_io%s
   --  ada.integer_text_io%b
   --  text_io%s
   --  mast_analysis_help%b
   --  binary_trees%s
   --  binary_trees%b
   --  doubly_linked_lists%s
   --  dynamic_lists%s
   --  hash_lists%s
   --  indexed_lists%s
   --  list_exceptions%s
   --  indexed_lists%b
   --  hash_lists%b
   --  dynamic_lists%b
   --  doubly_linked_lists%b
   --  associations%s
   --  associations%b
   --  mast%s
   --  mast.annealing_parameters%s
   --  mast.hospa_parameters%s
   --  mast.scheduling_parameters%s
   --  mast.scheduling_policies%s
   --  mast.synchronization_parameters%s
   --  mast.timers%s
   --  mast.tool_exceptions%s
   --  mast.hospa_parameters%b
   --  mast.annealing_parameters%b
   --  mast_lex_dfa%s
   --  mast_lex_dfa%b
   --  mast_lex_io%s
   --  mast_lex_io%b
   --  mast_parser_error_report%s
   --  mast_parser_error_report%b
   --  mast_parser_goto%s
   --  mast_parser_shift_reduce%s
   --  priority_queues%s
   --  priority_queues%b
   --  var_strings%s
   --  var_strings%b
   --  mast.tool_exceptions%b
   --  mast%b
   --  mast.io%s
   --  mast.timers%b
   --  mast.synchronization_parameters%b
   --  mast.scheduling_policies%b
   --  mast.scheduling_parameters%b
   --  named_lists%s
   --  named_lists%b
   --  mast.events%s
   --  mast.events%b
   --  mast.graphs%s
   --  mast.graphs%b
   --  mast.results%s
   --  mast.processing_resources%s
   --  mast.processing_resources%b
   --  mast.processing_resources.processor%s
   --  mast.processing_resources.processor%b
   --  mast.schedulers%s
   --  mast.schedulers%b
   --  mast.schedulers.primary%s
   --  mast.schedulers.primary%b
   --  mast.scheduling_servers%s
   --  mast.schedulers.adjustment%s
   --  mast.schedulers.secondary%s
   --  mast.schedulers.secondary%b
   --  mast.schedulers.adjustment%b
   --  mast.scheduling_servers%b
   --  mast.shared_resources%s
   --  mast.shared_resources%b
   --  mast.operations%s
   --  mast.operations%b
   --  mast.drivers%s
   --  mast.drivers%b
   --  mast.graphs.event_handlers%s
   --  mast.graphs.event_handlers%b
   --  mast.processing_resources.network%s
   --  mast.processing_resources.network%b
   --  mast.timing_requirements%s
   --  mast.timing_requirements%b
   --  mast.graphs.links%s
   --  mast.graphs.links%b
   --  mast.results%b
   --  mast.transactions%s
   --  mast.transactions%b
   --  mast.systems%s
   --  mast.systems%b
   --  mast.consistency_checks%s
   --  mast.linear_analysis_tools%s
   --  mast.max_numbers%s
   --  mast.max_numbers%b
   --  mast.miscelaneous_tools%s
   --  mast.restrictions%s
   --  mast.tools%s
   --  mast.linear_deadline_assignment_tools%s
   --  mast.linear_global_deadline_assignment_tools%s
   --  mast.linear_local_deadline_assignment_tools%s
   --  mast.linear_priority_assignment_tools%s
   --  mast.linear_translation%s
   --  mast.monoprocessor_tools%s
   --  mast.tools%b
   --  mast.tools.schedulability_index%s
   --  mast.tools.schedulability_index%b
   --  mast.linear_deadline_assignment_tools%b
   --  mast.transaction_operations%s
   --  mast.transaction_operations%b
   --  mast.monoprocessor_tools%b
   --  mast.linear_translation%b
   --  mast.linear_priority_assignment_tools%b
   --  mast.linear_local_deadline_assignment_tools%b
   --  mast.linear_global_deadline_assignment_tools%b
   --  mast.restrictions%b
   --  mast.miscelaneous_tools%b
   --  mast.linear_analysis_tools%b
   --  mast.consistency_checks%b
   --  symbol_table%s
   --  symbol_table%b
   --  mast_parser_tokens%s
   --  mast.io%b
   --  mast_lex%s
   --  mast_lex%b
   --  mast_parser%b
   --  mast_analysis%b
   --  END ELABORATION ORDER

end ada_main;
